{{- if (not .Values.certificates.internal.existingSecret) -}}
apiVersion: v1
kind: Secret
metadata:
  name: {{ template "nlx-auditlog.fullname" . }}-tls
  labels:
    {{- include "nlx-auditlog.labels" . | nindent 4 }}
type: kubernetes.io/tls
data:
  tls.crt: {{ (required "Certificate PEM is required" .Values.certificates.internal.certificatePEM) | b64enc | quote }}
  tls.key: {{ (required "Key PEM is required" .Values.certificates.internal.keyPEM) | b64enc | quote }}
{{- end }}
